## org.flexdock.plaf.resources.paint
Class PainterResource

    java.lang.Object
      org.flexdock.plaf.PropertySet
          org.flexdock.plaf.resources.paint.PainterResource

    public class PainterResource

extends PropertySet

Author:
  Claudio Romano

Field Summary
`static java.lang.String` `BACKGROUND_COLOR`
`static java.lang.String` `BACKGROUND_COLOR_ACTIVE`
`static java.lang.String` `CLASSNAME`

Constructor Summary
`PainterResource()`

Method Summary
`java.awt.Color` `getBgColor()`
`java.awt.Color` `getBgColorActive()`
`java.lang.String` `getClassname()`
`java.lang.Class` `getImplClass()`
`void` `setBgColor(java.awt.Color bgColor)`
`void` `setBgColorActive(java.awt.Color bgColorActive)`
`void` `setClassname(java.lang.String painter)`

Methods inherited from class org.flexdock.plaf.PropertySet
`getAction, getBoolean, getBorder, getColor, getFont, getIcon, getImage, getInt, getInteger, getName, getNumericKeys, getNumericKeys, getProperty, getString, getStrings, keys, resolveClass, setAll, setName, setProperty, size, toClass, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CLASSNAME

    public static final java.lang.String CLASSNAME

See Also:
  Constant Field Values

### BACKGROUND_COLOR

    public static final java.lang.String BACKGROUND_COLOR

See Also:
  Constant Field Values

### BACKGROUND_COLOR_ACTIVE

    public static final java.lang.String BACKGROUND_COLOR_ACTIVE

See Also:
  Constant Field Values

Constructor Detail

### PainterResource

    public PainterResource()

Method Detail

### getBgColor

    public java.awt.Color getBgColor()

  Returns:
    Returns the bgColor.

### setBgColor

    public void setBgColor(java.awt.Color bgColor)

  Parameters:
    `bgColor` - The bgColor to set.

### getBgColorActive

    public java.awt.Color getBgColorActive()

  Returns:
    Returns the bgColorActiv.

### setBgColorActive

    public void setBgColorActive(java.awt.Color bgColorActive)

  Parameters:
    `bgColorActive` - The bgColorActive to set.

### getClassname

    public java.lang.String getClassname()

  Returns:
    Returns the painter.

### setClassname

    public void setClassname(java.lang.String painter)

  Parameters:
    `painter` - The painter to set.

### getImplClass

    public java.lang.Class getImplClass()